Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.80.1
Release:	%mkrel 3
License:	GPLv3
Group:		Graphical desktop/GNOME
URL:		http://shutter-project.org/
Source:		http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	gettext
Obsoletes:	gscrot <= 0.64-0.ppa10.2mdv2009.1
Requires:	perl-Gnome2-Canvas
Requires:	perl-Gnome2-GConf
Requires:	perl-Gnome2-Wnck
Requires:	perl-WWW-Mechanize
Requires:	perl-X11-Protocol
Suggests:	gnome-web-photo
Suggests:	perl-Goo-Canvas
Suggests:	perl-Gtk2-ImageView
Suggests:	perl-Image-Magick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply different
effects to it, draw on it to highlight points, and then upload to an image
hosting site, all within one window.

%prep
%setup -q -n %{name}-%{version}

# remove own copy of perl-* modules provided by other packages
rm -rf share/shutter/resources/modules/{File,Proc}

# remove unwanted files
rm -f share/app-install/desktop/shutter.desktop
rm -f share/app-install/icons/shutter.svg

%build
# the shipped .mo files aren't uptodate...
for tb in share/shutter/resources/po/*.tar.gz; do
	pname=`basename $tb .tar.gz`
	tar -zxf $tb -C share/shutter/resources/po
	for po in share/shutter/resources/po/$pname/*.po; do
		lang=`basename $po .po`
		rm -f share/locale/$lang/LC_MESSAGES/$pname.mo
		msgfmt $po -o share/locale/$lang/LC_MESSAGES/$pname.mo
	done
done
rm -rf share/shutter/resources/po

%check

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}
install -d -m 0755 %{buildroot}/usr
mv bin %{buildroot}/usr
mv share %{buildroot}/usr
%find_lang %{name}
%find_lang %{name}-plugins
cat %{name}-plugins.lang >> %{name}.lang

%clean 
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/shutter
%{_datadir}/shutter/*
%{_datadir}/applications/shutter.desktop
%{_datadir}/pixmaps/shutter.svg
%{_mandir}/man1/*
%exclude %{_docdir}/%{name}/COPYING
%doc README



%changelog
* Sun Oct 04 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.80.1-3mdv2010.0
+ Revision: 453267
- Make sure i18n files are uptodate (#53496).

* Sat Oct 03 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.80.1-2mdv2010.0
+ Revision: 453236
- Suggests perl-Image-Magic (optional, only some plugins require it)
  Closes #53496

* Fri Aug 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.80.1-1mdv2010.0
+ Revision: 411308
- Update to new version 0.80.1

* Thu Jul 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.80-1mdv2010.0
+ Revision: 394010
- Update to new version 0.80

* Tue Mar 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70.1-0.ppa2.3mdv2009.1
+ Revision: 356637
- Remove own copy of perl-* modules provided by other packages, issue
  reported by Frederic Crozat.

* Thu Mar 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70.1-0.ppa2.2mdv2009.1
+ Revision: 354274
- Suggests gnome-web-photo (optional, enables screenshots of websites
  feature).

* Wed Mar 11 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70.1-0.ppa2.1mdv2009.1
+ Revision: 353965
- Updated to version 0.70.1-0.ppa2
- Removed requires for libgoocanvas, already required by perl-Goo-Canvas
- Replaced Requires for perl-Goo-Canvas by Suggests, it is optional
  (drawing tool disabled if not installed).
- Suggests perl-Gtk2-ImageView (optional, advanced seletion disabled if
  not installed).

* Wed Mar 11 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70-0.ppa11.3mdv2009.1
+ Revision: 353900
- Change Group tag from "Development/Perl" to "Graphical desktop/GNOME",
  reported by Greg Harris.

* Wed Mar 11 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70-0.ppa11.2mdv2009.1
+ Revision: 353864
- shutter must require libgoocanvas, not libgoocanvas3 (x86_64 lib64
  prefix), reported by Olivier Blin.

* Mon Mar 09 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.70-0.ppa11.1mdv2009.1
+ Revision: 353230
- Updated to version 0.70-0.ppa11
- Finish rename gscrot->shutter on spec.
- Split requires entries by line.
- Update shutter homepage URL entry.
- Obsolete current gscrot version in Mandriva cooker (gscrot renamed to
  shutter).
- Rename spec file (gscrot renamed to shutter).
- gscrot was renamed to shutter, change svn entry.

* Sat Jan 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.64-0.ppa10.2mdv2009.1
+ Revision: 330438
- Rebuild for fixed package changelog.

* Fri Jan 16 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.64-0.ppa10.1mdv2009.1
+ Revision: 330174
- Fix summary ended with dot.
- Line break description.
- Import gscrot package, made/sent by Ednilson Miura.

